[arch-commits] Commit in alsaplayer/trunk (3 files)

Eric Bélanger eric at archlinux.org
Sat Nov 7 18:07:46 UTC 2009


    Date: Saturday, November 7, 2009 @ 13:07:46
  Author: eric
Revision: 58401

upgpkg: alsaplayer 0.99.80-3
    Fixed optdepends array syntax (close FS#16053), Added build patch for glibc 2.10

Added:
  alsaplayer/trunk/alsaplayer-0.99.80-glibc-2.10.patch
Modified:
  alsaplayer/trunk/ChangeLog
  alsaplayer/trunk/PKGBUILD

-------------------------------------+
 ChangeLog                           |    6 ++++++
 PKGBUILD                            |   27 +++++++++++++++------------
 alsaplayer-0.99.80-glibc-2.10.patch |   21 +++++++++++++++++++++
 3 files changed, 42 insertions(+), 12 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-11-07 17:59:24 UTC (rev 58400)
+++ ChangeLog	2009-11-07 18:07:46 UTC (rev 58401)
@@ -1,3 +1,9 @@
+2009-11-07  Eric Belanger  <eric at archlinux.org>
+
+	* alsaplayer 0.99.80-3
+	* Fixed optdepends array syntax (close FS#16053)
+	* Added build patch for glibc 2.10
+
 2009-02-23  Eric Belanger  <eric at archlinux.org>
 
 	* alsaplayer 0.99.80-2

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-07 17:59:24 UTC (rev 58400)
+++ PKGBUILD	2009-11-07 18:07:46 UTC (rev 58401)
@@ -4,7 +4,7 @@
 
 pkgname=alsaplayer
 pkgver=0.99.80
-pkgrel=2
+pkgrel=3
 pkgdesc="A heavily multi-threaded PCM player that tries to excercise the ALSA library and driver quite a bit."
 arch=('i686' 'x86_64')
 url="http://www.alsaplayer.org/"
@@ -12,23 +12,26 @@
 depends=('gcc-libs')
 makedepends=('gtk2' 'libid3tag' 'libvorbis' 'libmad' 'libmikmod' 'jack-audio-connection-kit' 'esound')
 optdepends=('gtk2: for the gtk2 GUI interface' \
-                'esound: for ESD audio server output support' \
-                'jack-audio-connection-kit: for JACK audio server output support' \
-                'audiofile: for support of various audio formats like AIFF, WAVE, .snd/.au' \
-                'libid3tag and flac: for flac support' 'libmad: for MPEG support' \
-                'libsndfile: for sndfile support' 'libvorbis: for ogg vorbis support' \
-                'libmikmod: for mod, s3m, it and xm formats supports')
+            'esound: for ESD audio server output support' \
+            'jack-audio-connection-kit: for JACK audio server output support' \
+            'audiofile: for support of various audio formats like AIFF, WAVE, .snd/.au' \
+            'libid3tag: for flac support' 'flac: for flac support' 'libmad: for MPEG support' \
+            'libsndfile: for sndfile support' 'libvorbis: for ogg vorbis support' \
+            'libmikmod: for mod, s3m, it and xm formats supports')
 options=('!libtool')
-source=(http://www.alsaplayer.org/${pkgname}-${pkgver}.tar.bz2 gcc.diff)
-md5sums=('04f8c2321a37d15f40f9ee21251c6202' '0c1790e4744d9b085208436f5442efe0')
-sha1sums=('883d590b01371840024b5a8bf0fe95b464a2ccd1' '684ac4ea9f58e63da7f4c9518196128714575066')
+source=(http://www.alsaplayer.org/${pkgname}-${pkgver}.tar.bz2 gcc.diff alsaplayer-0.99.80-glibc-2.10.patch)
+md5sums=('04f8c2321a37d15f40f9ee21251c6202' '0c1790e4744d9b085208436f5442efe0'\
+         '4f549d51173762334529d200e14afd8b')
+sha1sums=('883d590b01371840024b5a8bf0fe95b464a2ccd1' '684ac4ea9f58e63da7f4c9518196128714575066'\
+         'ac9680d3feff660db0195178753d6c92760944bf')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   patch -p0 < ../gcc.diff || return 1
+  patch -p1 < ../alsaplayer-0.99.80-glibc-2.10.patch || return 1
   ./configure --prefix=/usr --enable-esd \
     --disable-opengl --disable-gtk --enable-jack \
     --enable-gtk2 --enable-audiofile || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: alsaplayer-0.99.80-glibc-2.10.patch
===================================================================
--- alsaplayer-0.99.80-glibc-2.10.patch	                        (rev 0)
+++ alsaplayer-0.99.80-glibc-2.10.patch	2009-11-07 18:07:46 UTC (rev 58401)
@@ -0,0 +1,21 @@
+diff -ur alsaplayer-0.99.80.orig/input/flac/FlacPlugin.cpp alsaplayer-0.99.80/input/flac/FlacPlugin.cpp
+--- alsaplayer-0.99.80.orig/input/flac/FlacPlugin.cpp	2007-10-29 23:00:16.000000000 +0200
++++ alsaplayer-0.99.80/input/flac/FlacPlugin.cpp	2009-07-20 00:19:07.000000000 +0300
+@@ -239,7 +239,7 @@
+     else
+     {
+ 	// use stream name
+-	char * fname = strrchr (f->name ().c_str (), '/');
++	const char * fname = strrchr (f->name ().c_str (), '/');
+ 	if (fname)
+ 	{
+ 	    fname++;
+@@ -270,7 +270,7 @@
+ 	if (strncmp(name, "http://", 7) == 0) {
+ 		return 0.0;
+ 	}
+-	char *ext = strrchr(name, '.');
++	const char *ext = strrchr(name, '.');
+ 	if (!ext)
+ 		return 0.0;
+ 	ext++;




More information about the arch-commits mailing list